Posts
Save the shared source without modifying destinations
PATCH
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthpostId*stringLength
1 <= length- body
expectedSourceRevision*integerRange
1 <= valuesourceContent*Response for status 200
application/json- response
post*curl -X PATCH 'https://postbot.example/api/projects/string/posts/string' \
-H 'Content-Type: application/json' \
-d '{
"expectedSourceRevision": 1,
"sourceContent": {
"media": [
{
"assetId": "string"
}
]
}
}'Example Response
{
"post": {
"id": "string",
"projectId": "string",
"title": "string",
"sourceContent": "string",
"sourceRevision": -9007199254740991,
"createdByActorId": "string",
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991
}
}